Allocate NMS User to Sensor

Prev Next

This URL allocates the NMS user to Sensor.

Resource URL

POST /sensor/<sensor_id> /nmsuser/<nmsuser_id>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

nmsUserId

Id of the NMS user

Number

Yes

Payload Parameters:

None

Response Parameters

Following fields are returned.

Field Name

Description

Data Type

createdResourceId

Unique id of the created domain

Number

Example

Request

POST https://<NSM_IP>/sdkapi/sensor/1001/nmsuser/14

Payload

None

Response

{
       "createdResourceId": 25
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

400

5601

User name, private key and authorization key are mandatory

3

400

5602

User name, private key and authorization key should be alphanumeric

4

400

5603

User name's length should be between 8 and 31

5

400

5604

Length of private key and authorization key should be between 8 and 15

6

400

5605

User name exists in Sensor

7

400

5606

User name exists in same or parent domain

8

400

5607

Maximum users that can be handled by Sensor crossed

9

400

5608

This feature not supported on Sensor

10

400

5609

User name cannot be changed

11

400

5610

This object has been created in some other domain: Cannot be deleted/edited

12

400

1124

The Sensor is inactive

13

400

5401

FIPS enabled on Sensor

14

400

5110

Invalid user id